Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 250307 - =gnome-base/gnome-applets-2.22.3: parser error : NmToken expected in ATTLIST enumeration (et alii)
Summary: =gnome-base/gnome-applets-2.22.3: parser error : NmToken expected in ATTLIST ...
Status: RESOLVED NEEDINFO
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] GNOME (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-12-08 17:39 UTC by Kobboi
Modified: 2009-01-07 16:51 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kobboi 2008-12-08 17:39:16 UTC
Emerge gnome-applets output (on a setup built from binary packages and with the default 2008.0 x86 profile)

xsltproc -o drivemount-C.omf --stringparam db2omf.basename drivemount --stringparam db2omf.format 'docbook' --stringparam db2omf.dtd "-//OASIS//DTD DocBook XML V4.1.2//EN" --stringparam db2omf.lang C --stringparam db2omf.omf_dir "/usr/share/omf" --stringparam db2omf.help_dir "/usr/share/gnome/help" --stringparam db2omf.omf_in "/var/tmp/portage/gnome-base/gnome-applets-2.22.3/work/gnome-applets-2.22.3/drivemount/help/drivemount.omf.in"  `/usr/bin/pkg-config --variable db2omf gnome-doc-utils` C/drivemount.xml || { rm -f "drivemount-C.omf"; exit 1; }
xsltproc -o drivemount-en_GB.omf --stringparam db2omf.basename drivemount --stringparam db2omf.format 'docbook' --stringparam db2omf.dtd "-//OASIS//DTD DocBook XML V4.1.2//EN" --stringparam db2omf.lang en_GB --stringparam db2omf.omf_dir "/usr/share/omf" --stringparam db2omf.help_dir "/usr/share/gnome/help" --stringparam db2omf.omf_in "/var/tmp/portage/gnome-base/gnome-applets-2.22.3/work/gnome-applets-2.22.3/drivemount/help/drivemount.omf.in"  `/usr/bin/pkg-config --variable db2omf gnome-doc-utils` en_GB/drivemount.xml || { rm -f "drivemount-en_GB.omf"; exit 1; }
http://www.oasis-open.org/docbook/xml/4.1.2/dbpoolx.mod:632: parser warning : PEReference: %notation.class; not found
	%local.graphics.attrib;"
	                        ^
Entity: line 1: parser error : NmToken expected in ATTLIST enumeration
 %graphics.attrib; 
                  ^
Entity: line 4: 
	format		() #IMPLIED
	      		 ^
Entity: line 1: parser error : Content error in the external subset
 %graphics.attrib; 
                  ^
Entity: line 4: 
	format		() #IMPLIED
	      		 ^
validity error : All markup of the conditional section is not in the same entity
 %graphics.attrib; 
                  ^
	format		() #IMPLIED
	      		 ^
Entity: line 1: parser error : Content error in the external subset
 %graphics.attrib; 
                  ^
Entity: line 4: 
	format		() #IMPLIED
	      		    ^
validity error : All markup of the conditional section is not in the same entity
 %graphics.attrib; 
                  ^
	format		() #IMPLIED
	      		    ^
Entity: line 1: parser error : Content error in the external subset
 %graphics.attrib; 
                  ^
Entity: line 4: 
	format		() #IMPLIED
	      		       ^
validity error : All markup of the conditional section is not in the same entity
 %graphics.attrib; 
                  ^
	format		() #IMPLIED
	      		       ^
Entity: line 1: parser error : Content error in the external subset
 %graphics.attrib; 
                  ^
Entity: line 4: 
	format		() #IMPLIED
	      		          ^
unable to parse en_GB/drivemount.xml


Reproducible: Always
Comment 1 Gilles Dartiguelongue gentoo-dev 2008-12-09 13:09:47 UTC
emerge --info & list of docbook-xml-dtd installed on your system please.
Comment 2 Kobboi 2008-12-10 09:22:42 UTC
I do not have a complete GNOME installation, I (binary) installed only the packages I needed. Parent profile: /usr/portage/profiles/default/linux/x86/2008.0

--> Before the emerge: no docbook-xml-dtd versions present
--> Pulled in as dependency: # emerge gnome-applets -av 

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  N    ] app-text/build-docbook-catalog-1.2  4 kB 
[ebuild  N    ] dev-util/pkgconfig-0.23  USE="-hardened" 1,009 kB 
[ebuild  N    ] dev-perl/XML-Parser-2.36  225 kB 
[ebuild  NS   ] sys-devel/automake-1.5  515 kB 
[ebuild  NS   ] sys-devel/autoconf-2.13  434 kB 
[ebuild  N    ] app-text/scrollkeeper-dtd-1.0  11 kB 
[ebuild  N    ] app-text/rarian-0.8.0-r1  USE="-debug" 331 kB 
[ebuild  N    ] app-text/docbook-xsl-stylesheets-1.73.2  1,636 kB 
[ebuild  N    ] dev-util/intltool-0.37.1  136 kB 
[ebuild  N    ] app-text/sgml-common-0.6.3-r5  75 kB 
[ebuild  N    ] app-text/scrollkeeper-9999-r1  0 kB 
[ebuild  N    ] app-text/docbook-xml-dtd-4.3  82 kB 
[ebuild  N    ] app-text/docbook-xml-dtd-4.4-r1  94 kB 
[ebuild  N    ] app-text/gnome-doc-utils-0.12.2-r1  USE="-debug" 582 kB 
[ebuild  N    ] gnome-base/gnome-applets-2.22.3  USE="ipv6 -acpi -apm -debug -doc -gnome -gstreamer -hal" 7,333 kB 

--> Emerge info: # emerge --info
Portage 2.1.4.5 (!/usr/portage/local/autodistro-overlay/profiles/autodistro, gcc-4.1.2, glibc-2.6.1-r0, 2.6.24-gentoo-r7 i686)
=================================================================
System uname: 2.6.24-gentoo-r7 i686 unknown
Timestamp of tree: Tue, 09 Dec 2008 14:58:08 +0000
app-shells/bash:     3.2_p33
dev-lang/python:     2.4.4-r13, 2.5.2-r7
dev-python/pycrypto: 2.0.1-r6
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.61-r2
sys-devel/automake:  1.10.1-r1
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.23-r3
ACCEPT_KEYWORDS="x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=i686 -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/revdep-rebuild /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-O2 -march=i686 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="distlocks metadata-transfer sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LDFLAGS="-Wl,-O1"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_EXTRA_OPTS="--exclude-from=/etc/portage/rsyncd-excludes"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage/local/autodistro-overlay"
SYNC="rsync://10.11.10.66/autodistro-portage"
USE="X acl berkdb bzip2 cli cracklib crypt cups dri fortran gdbm gpm iconv ipv6 isdnlog midi mudflap ncurses nls nptl nptlonly openmp pam pcre perl pppd python readline reflection session spl ssl sysfs tcpd unicode x86 xorg xulrunner zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" USERLAND="GNU" VIDEO_CARDS="fbdev glint i810 intel mach64 mga neomagic nv r128 radeon savage sis tdfx trident vesa vga via vmware voodoo"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LANG, LC_ALL, LINGUAS, MAKEOPTS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS

--> Again doing an install from scratch, I now get a different (but probably very related) error:

http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd:81: parser error : Comment must not contain '--' (double-hyphen)
<!-- ...................................................................... -->
    ^
http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd:87: parser warning : PEReference: %dbpool.module; not found
<![ %dbpool.module; [
                   ^
http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd:87: parser error : conditional section INCLUDE or IGNORE keyword expected
<![ %dbpool.module; [
                    ^
http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd:87: parser error : Content error in the external subset
<!ENTITY % dbpool PUBLIC 
 ^
http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd:87: parser error : Content error in the external subset
<!ENTITY % dbpool PUBLIC 
    ^
unable to parse ca/geyes.xml
make[3]: *** [geyes-ca.omf] Error 1
make[3]: Leaving directory `/var/tmp/portage/gnome-base/gnome-applets-2.22.3/work/gnome-applets-2.22.3/geyes/docs'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/var/tmp/portage/gnome-base/gnome-applets-2.22.3/work/gnome-applets-2.22.3/geyes'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/gnome-base/gnome-applets-2.22.3/work/gnome-applets-2.22.3'
make: *** [all] Error 2
Comment 3 Gilles Dartiguelongue gentoo-dev 2008-12-14 23:33:26 UTC
I suppose it works fine if you install docbook-xml-dtd-4.1.2 with latest comment ?
Comment 4 Gilles Dartiguelongue gentoo-dev 2009-01-04 00:58:42 UTC
please get back to us.
Comment 5 Kobboi 2009-01-07 10:43:57 UTC
On recent scripted installations, with changed dependecies, I have been unable to encounter the problem.
Comment 6 Rémi Cardona gentoo-dev 2009-01-07 10:45:34 UTC
Alrighty then, thanks for the follow up.
Comment 7 Kobboi 2009-01-07 16:51:28 UTC
I now did an emerge of zenity, first time it fails with a similar error. I retry and now it completes succesfully?